Pulp - Task #3781

Unify the use of the mock module
06/22/2018 01:46 PM - muattiyah

Status: CLOSED - WONTFIX
Priority: Normal

Assignee:

Category:

Sprint/Milestone:

Start date:
Due date:

% Done:

Estimated time:

0%
0:00 hour

Platform Release: Tags: Easy Fix, Pulp 2
Groomed: No Sprint:

Sprint Candidate: No Quarter:

Description

Sometimes we use the ‘'mock’ module from PyPl and sometimes we use it from “unittest.mock’.

Given that we only care about CPython 3.5+ and "unittest.mock™ has been available since CPython 3.3, we should probably get rid of
the PyPl one completely and update the code that uses it accordingly.

History

#1 - 06/22/2018 04:23 PM - CodeHeeler
- Tracker changed from Issue to Task

- % Done set to 0

#2 - 04/12/2019 09:54 PM - bmbouter

- Status changed from NEW to CLOSED - WONTFIX

#3 - 04/15/2019 10:10 PM - bmbouter
- Tags Pulp 2 added
